Subject: bug#50983: 28.0.50; [REGRESSION, BUG] Display bugs with uncommon characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Oct 2021 11:08:49 +0200

Rudi C <[email-masked]> writes:

> I have two display bugs to report, one a regression that is not present in
> emacs 27. I start with this regression.
>
> 1. `curl https://files.lilf.ir/tmp/weird.txt > weird.txt`
> 2. `emacs -Q -nw weird.txt`
> 3. try editing the text, deleting characters, etc. The character display will get
> messed up.

I'm unable to reproduce this problem, but my Emacs looks very different
from yours -- I'm thinking of the line breaking in particular.  Here's
what mine look with "emacs -Q" under Debian/bullseye:

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no